Search found 98 matches

Go to advanced search

by jmplonka
Wed May 20, 2020 8:10 am
Forum: Announcements & Features
Topic: DXF - 3D-Solid import
Replies: 17
Views: 707

Re: DXF - 3D-Solid import

Roy_043 attached one in his bug-reports: viewtopic.php?f=22&t=20575&start=100#p400345 viewtopic.php?f=22&t=20575&start=90#p400254 Reading DXF file: importerDXF.read(filename) # file of the DXF that contains 3D-Solids importerDXF.create3dModel(group, doc) # group the group object (maybe None for root...
by jmplonka
Wed May 20, 2020 7:24 am
Forum: Announcements & Features
Topic: DXF - 3D-Solid import
Replies: 17
Views: 707

Re: DXF - 3D-Solid import

Another attempt: run FreeCAD with administration privileges. open FreeCAD's python console and enter: import subprocess subprocess.call("python.exe -m pip install olefile") subprocess.call("python.exe -m pip install xlwt") subprocess.call("python.exe -m pip install xlrd") subprocess.call("python.exe...
by jmplonka
Wed May 20, 2020 6:12 am
Forum: Python scripting and macros
Topic: Plug-in for AUTODESK Inventor files
Replies: 111
Views: 21830

Re: Plug-in for AUTODESK Inventor files

Another file that causes an error: Missing class implementation for 'material-adesk-attrib' - using base class 'adesk-attrib'! Traceback (most recent call last): File "C:\Users\<username>\AppData\Roaming\FreeCAD\Mod\InventorLoader\Acis.py", line 3802, in set <class 'ValueError'>: invalid literal fo...
by jmplonka
Tue May 19, 2020 3:00 pm
Forum: Python scripting and macros
Topic: Plug-in for AUTODESK Inventor files
Replies: 111
Views: 21830

Re: Plug-in for AUTODESK Inventor files

Thank you for sharing the example :)
Should be fixed now.
by jmplonka
Tue May 19, 2020 2:24 pm
Forum: Announcements & Features
Topic: DXF - 3D-Solid import
Replies: 17
Views: 707

Re: DXF - 3D-Solid import

Unfortunately it is not possible to run the setup.py directly from FC's python console. So you have to open the comnand line window by pressing [Win]+[R] -> this will open a dialog box where you simply enter "cmd" followed by [Enter] key. Now you can follow the step by step guide in the above mentio...
by jmplonka
Tue May 19, 2020 1:25 pm
Forum: Announcements & Features
Topic: DXF - 3D-Solid import
Replies: 17
Views: 707

Re: DXF - 3D-Solid import

Hi,

@kisolre: thanks for helping.

maybe a little bit more detailed: viewtopic...p377256
and be careful with the path where freecad.exe is located normal installation ist "C:\Program files (x86)\FreeCAD\bin" or "C:\Programme\FreeCAD\bin

Kind Regards
Jens
by jmplonka
Mon May 18, 2020 4:36 pm
Forum: Python scripting and macros
Topic: CONE scripting - access violation
Replies: 5
Views: 172

Re: CONE scripting - access violation

Hi vocx,
Thank you for your hint.
While converting IPT or SAT files to STEP, I only need the Surface as the Edges are "unknown" at this point or may varry (one surface for several wires).
Reagards
Jens
by jmplonka
Mon May 18, 2020 1:53 pm
Forum: Announcements & Features
Topic: DXF - 3D-Solid import
Replies: 17
Views: 707

Re: DXF - 3D-Solid import

Sorry, stuck too deep in the details. :oops: Beside the drawings, DXF-files (AutoCAD D rawing e X change F ormat) can also contain complete 3D objects. These objects are stored internally (3D-Solids sections) as SAB content. SAB ( S tandard A CIS B inary) itself, is the binary representation of ACIS...
by jmplonka
Mon May 18, 2020 10:28 am
Forum: Python scripting and macros
Topic: CONE scripting - access violation
Replies: 5
Views: 172

Re: CONE scripting - access violation

Hi Chris,

this works. Unfortunately, a cone surface has no length/height!?!

But until the faces aren't corrupted/broken, this will be fine for me.

Jens
by jmplonka
Mon May 18, 2020 6:48 am
Forum: Python scripting and macros
Topic: CONE scripting - access violation
Replies: 5
Views: 172

CONE scripting - access violation

Hi, during my tests I was facing an acceess violation while creating a cone: axis=App.Vector(0.0, 0.0, 1.0) apex=App.Vector(4.80608839796131, -2.432583153821999, 3.3991393809724384) center=App.Vector(4.80608839796131, -2.432583153821999, 3.6995696904862188) major=App.Vector(0.5, 0.0, 0.0) l = Part.L...

Go to advanced search